MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024339Community[OCCT] OCCT:Samplespublic2013-11-11 12:072013-12-19 13:59
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version64 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024339: Vectors not displayed correctly in MFC samples [6.7.0 Beta]
DescriptionMFC Geometry samples displays vectors as "cones" only. The line is missing. Please consult the attached picture.
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon vector_660.png (68,994 bytes) 2013-11-11 12:08
png file icon vector_670.png (75,776 bytes) 2013-11-11 12:08

- Relationships

-  Notes
(0026633)
aba (developer)
2013-11-14 17:22

ISession_Direction classes that provide visualization of directions were rewritten without using DsgPrs_LengthPresentation class.

DsgPrs_LengthPresentation is supposed to be used for length dimensions and relations presentation computing and uses dimension aspect. Its default value of arrow length differs from the one in drawer's arrow aspect.

Dear kgv, please review branch CR24339.
(0026634)
kgv (developer)
2013-11-14 17:29

No remarks, please test MFC samples (OCCT sources are unaffected).
(0026648)
bugmaster (administrator)
2013-11-15 11:52

1>------ Build started: Project: Modeling, Configuration: Release Win32 ------
1>Compiling...
1>ISession_Direction.cpp
1>..\..\..\src\ISession_Direction.cpp(44) : error C2065: 'Handle_Graphic3d_ArrayOfSegments' : undeclared identifier
1>..\..\..\src\ISession_Direction.cpp(44) : error C2146: syntax error : missing ';' before identifier 'aPrims'
1>..\..\..\src\ISession_Direction.cpp(44) : error C2065: 'aPrims' : undeclared identifier
1>..\..\..\src\ISession_Direction.cpp(44) : error C2061: syntax error : identifier 'Graphic3d_ArrayOfSegments'
1>..\..\..\src\ISession_Direction.cpp(45) : error C2065: 'aPrims' : undeclared identifier
1>..\..\..\src\ISession_Direction.cpp(45) : error C2227: left of '->AddVertex' must point to class/struct/union/generic type
1> type is ''unknown-type''
1>..\..\..\src\ISession_Direction.cpp(46) : error C2065: 'aPrims' : undeclared identifier
1>..\..\..\src\ISession_Direction.cpp(46) : error C2227: left of '->AddVertex' must point to class/struct/union/generic type
1> type is ''unknown-type''
1>..\..\..\src\ISession_Direction.cpp(47) : error C2653: 'Prs3d_Root' : is not a class or namespace name
1>..\..\..\src\ISession_Direction.cpp(47) : error C2227: left of '->SetPrimitivesAspect' must point to class/struct/union/generic type
1> type is ''unknown-type''
1>..\..\..\src\ISession_Direction.cpp(47) : error C2027: use of undefined type 'Prs3d_LineAspect'
1> D:\builds\vc9\CR24339-master-occt\inc\Handle_Prs3d_LineAspect.hxx(23) : see declaration of 'Prs3d_LineAspect'
1>..\..\..\src\ISession_Direction.cpp(47) : error C2039: 'Aspect' : is not a member of 'Handle_Prs3d_LineAspect'
1> D:\builds\vc9\CR24339-master-occt\inc\Handle_Prs3d_LineAspect.hxx(25) : see declaration of 'Handle_Prs3d_LineAspect'
1>..\..\..\src\ISession_Direction.cpp(47) : error C3861: 'CurrentGroup': identifier not found
1>..\..\..\src\ISession_Direction.cpp(48) : error C2653: 'Prs3d_Root' : is not a class or namespace name
1>..\..\..\src\ISession_Direction.cpp(48) : error C2227: left of '->AddPrimitiveArray' must point to class/struct/union/generic type
1> type is ''unknown-type''
1>..\..\..\src\ISession_Direction.cpp(48) : error C2065: 'aPrims' : undeclared identifier
1>..\..\..\src\ISession_Direction.cpp(48) : error C3861: 'CurrentGroup': identifier not found
1>..\..\..\src\ISession_Direction.cpp(50) : error C2653: 'Prs3d_Arrow' : is not a class or namespace name
1>..\..\..\src\ISession_Direction.cpp(50) : error C2065: 'aPrs' : undeclared identifier
1>..\..\..\src\ISession_Direction.cpp(50) : error C3861: 'Draw': identifier not found
1>Build log was saved at "file://d:\builds\vc9\CR24339-master-occt\samples\mfc\standard\02_Modeling\adm\win\vc9\win32\obj\BuildLog.htm" [^]
1>Modeling - 20 error(s), 0 warning(s)
========== Build: 0 succeeded, 1 failed, 0 up-to-date, 0 skipped ==========
(0026687)
aba (developer)
2013-11-18 11:45

Compilation errors were corrected.
Dear Bugmaster, please retest.
(0026731)
bugmaster (administrator)
2013-11-19 11:40

Problem:
Samples : Viewer3d
Button : Axis
(0026772)
aba (developer)
2013-11-19 19:10

The branch CR24339 was updated:
1) The branch was rebased on the branch CR24355 to avoid merge conflicts.
2) ISession_Direction::SetLineAspect() method was added to display vectors with proper style (as it was before)
3) ISession_Direction class in Modeling sample was corrected to avoid inconsistent behavior.

Dear kgv, please review.
(0026774)
kgv (developer)
2013-11-19 20:44

Please test updated patch.
(0026812)
apn (administrator)
2013-11-20 18:23

Problem was solved. Vectors are displayed correctly. There are no warnings (W4) on vc8, vc9, vc10, vc11.

- Related Changesets
occt: master e5b32824
Timestamp: 2013-11-21 11:03:55
Author: aba
Committer: bugmaster
Details ] Diff ]
0024339: Vectors not displayed correctly in MFC samples [6.7.0 Beta]: ISession_Direction classes were rewritten without using of DsgPrs_LengthPresentation class.

Corrections to support old results in geometry samples: added ISession_Direction::SetLineAspect(); ISession_Direction class in Modeling sample was corrected.
mod - samples/mfc/standard/01_Geometry/src/GeomSources.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Direction.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Direction.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/02_Modeling/src/ISession_Direction.cpp Diff ] File ]
mod - samples/mfc/standard/02_Modeling/src/ISession_Direction.h Diff ] File ]
mod - samples/mfc/standard/02_Modeling/src/StdAfx.h Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-11-11 12:07 Pawel New Issue
2013-11-11 12:07 Pawel Assigned To => bugmaster
2013-11-11 12:08 Pawel File Added: vector_660.png
2013-11-11 12:08 Pawel File Added: vector_670.png
2013-11-12 16:32 kgv Assigned To bugmaster => aba
2013-11-12 16:32 kgv Status new => assigned
2013-11-14 17:22 aba Note Added: 0026633
2013-11-14 17:22 aba Assigned To aba => kgv
2013-11-14 17:22 aba Status assigned => resolved
2013-11-14 17:29 kgv Note Added: 0026634
2013-11-14 17:29 kgv Assigned To kgv => bugmaster
2013-11-14 17:29 kgv Status resolved => reviewed
2013-11-15 06:52 mkv Assigned To bugmaster => mkv
2013-11-15 11:42 bugmaster Assigned To mkv => bugmaster
2013-11-15 11:52 bugmaster Note Added: 0026648
2013-11-15 11:52 bugmaster Assigned To bugmaster => aba
2013-11-15 11:52 bugmaster Status reviewed => assigned
2013-11-18 11:43 aba Status assigned => resolved
2013-11-18 11:45 aba Note Added: 0026687
2013-11-18 11:45 aba Assigned To aba => bugmaster
2013-11-18 11:45 aba Status resolved => reviewed
2013-11-19 11:40 bugmaster Note Added: 0026731
2013-11-19 11:40 bugmaster Assigned To bugmaster => aba
2013-11-19 11:40 bugmaster Status reviewed => assigned
2013-11-19 19:10 aba Note Added: 0026772
2013-11-19 19:10 aba Assigned To aba => kgv
2013-11-19 19:10 aba Status assigned => resolved
2013-11-19 20:44 kgv Note Added: 0026774
2013-11-19 20:44 kgv Assigned To kgv => bugmaster
2013-11-19 20:44 kgv Status resolved => reviewed
2013-11-20 15:46 bugmaster Assigned To bugmaster => apn
2013-11-20 18:23 apn Note Added: 0026812
2013-11-20 18:23 apn Test case number => Not needed
2013-11-20 18:23 apn Assigned To apn => bugmaster
2013-11-20 18:23 apn Status reviewed => tested
2013-11-25 13:17 bugmaster Changeset attached => occt master e5b32824
2013-11-25 13:17 bugmaster Status tested => verified
2013-11-25 13:17 bugmaster Resolution open => fixed
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 13:59 bugmaster Fixed in Version => 6.7.0
2014-01-11 11:59 abv Category OCCT Release:MFC => OCCT Release:Samples
2014-01-11 12:02 abv Category OCCT Release:Samples => OCCT:Samples


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker